<!-- extends表明此页面继承自 base.html 文件 -->
{% extends "base.html" %}
{% load static %}
{% load question_tags %}
{% regroup list by type as content_list %}

<!-- 写入 base.html 中定义的 title -->
{% block title %}
    {{ title }}
{% endblock title %}

<!-- 写入 base.html 中定义的 content -->
{% block content %}

<div class="container">
        <div class="d-flex justify-content-center mt-4">
            <form class="form-inline" >

                <label for="search" class="mr-4">搜索</label>
                <input type="text"
                    class="form-control mb-2 mr-sm-2"
                       id="search"
                        name="search"
                    placeholder="搜索..."
                    required
                >
            </form>
        </div>
</div>

<!-- 定义放置文章标题的div容器 -->
<div class="container">
    {% if search %}
        {% if questions or articles %}
            <h4><span style="color: cadetblue">"{{ search }}"</span>的搜索结果如下：</h4>
            <hr>
        {% else %}
            <h4>暂无<span style="color: cadetblue">"{{ search }}"</span>有关的内容。</h4>
            <hr>
        {% endif %}
	<HR>
	{% endif %}
    <!-- 修改，面包屑的href增加search参数 -->

    <div class="row mt-2">

        {% for question in questions %}
        {% if question.column.title ==  title  %}
        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if question.column %}
            <a href="/blocks/blocks-list3/{{ question.column.title }}">
                <button type="button"
                    class="btn btn-sm mb-2 {{ question.column.title|button_type }}">
                    {{ question.column }}
                </button>
            </a>
            {% endif %}

            <!-- 标签 -->
            <span>
                {% for tag in question.tags.all %}
                    <a href="{% url 'question:question_list' %}?tag={{ tag }}"
                       class="badge badge-secondary"
                    >
                        {{ tag }}
                    </a>
                {% endfor %}
            </span>
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'question:question_detail' question.id %}"
                       style="color: black;"
                    >
                        {{ question.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ question.description|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ question.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ question.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ question.updated|date:'Y-m-d' }}
                </span>
            </p>
        </div>
        <hr style="width: 100%;"/>
    {% endif %}
    {% endfor %}

    </div>

        <div class="row mt-2">

        {% for article in articles %}

        {% if article.column.title ==  title  %}

        <!-- 文章内容 -->
        <div class="col-12">
            <!-- 栏目 -->
            {% if article.column %}
            <a href="/blocks/blocks-list3/{{ article.column.title }}">
                <button type="button"
                    class="btn btn-sm mb-2 {{ article.column.title|button_type }}">
                    {{ article.column }}
                </button>
            </a>
            {% endif %}

            <!-- 标签 -->
            <span>
                {% for tag in article.tags.all %}
                    <a href="{% url 'article:article_list' %}?tag={{ tag }}"
                       class="badge badge-secondary"
                    >
                        {{ tag }}
                    </a>
                {% endfor %}
            </span>
            <!-- 标题 -->
            <h4>
                <b>
                    <a href="{% url 'article:article_detail' article.id %}"
                       style="color: black;"
                    >
                        {{ article.title }}
                    </a>
                </b>
            </h4>
            <!-- 摘要 -->
            <div>
                <p style="color: gray;">
                    {{ article.body|slice:'100' }}...
                </p>
            </div>
            <!-- 注脚 -->
            <p>
                <!-- 附加信息 -->
                <span>
                    <i class="fas fa-user" style="color:yellowgreen"></i>
                    {{ article.author }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:gray;"></i>
                    {{ article.created|date:'Y-m-d' }}
                </span>
                <span>
                    <i class="fas fa-clock" style="color:pink;"></i>
                    {{ article.updated|date:'Y-m-d' }}
                </span>
            </p>
        </div>
        <hr style="width: 100%;"/>

    {% endif %}
    {% endfor %}
</div>
</div>

{% endblock content %}